aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.gitlab-ci.yml2
-rwxr-xr-xpython/tests/cli.sh26
2 files changed, 28 insertions, 0 deletions
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index a0a67fa8..6f90a20e 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -28,8 +28,10 @@ unified_test:
- cargo test -- --test-threads 1
- cargo run --bin fatcatd &
- cd ../python
+ - cp env.example .env
- pipenv install --dev --deploy
- pipenv run pytest --cov
+ - pipenv run ./tests/cli.sh
# Just errors
- pipenv run pylint -E fatcat*.py fatcat_tools fatcat_web
diff --git a/python/tests/cli.sh b/python/tests/cli.sh
new file mode 100755
index 00000000..eba6d3a7
--- /dev/null
+++ b/python/tests/cli.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+set -eu -o pipefail
+set -x
+
+# This is a helper script to at least partially exersize the fatcat_*.py
+# scripts. It expects to be run from the top-level directory, inside a 'pipenv
+# shell' or 'pipenv run' invocation.
+
+./fatcat_export.py changelog --start 1 --end 10 - > /dev/null
+
+# no easy way to run this without harvest a whole day (at the moment)
+./fatcat_harvest.py crossref -h
+
+./fatcat_import.py crossref tests/files/crossref-works.2018-01-21.badsample.json tests/files/ISSN-to-ISSN-L.snip.txt
+./fatcat_import.py orcid tests/files/0000-0001-8254-7103.json
+./fatcat_import.py issn tests/files/journal_extra_metadata.snip.csv
+./fatcat_import.py matched tests/files/matched_sample.json
+./fatcat_import.py matched tests/files/example_matched.json
+./fatcat_import.py grobid-metadata tests/files/example_grobid_metadata_lines.tsv
+
+./fatcat_webface.py -h
+./fatcat_worker.py -h
+
+set +x
+echo "Done running CLI examples (SUCCESS)"